<?php
namespace Modules\API\APIExterne\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class BVD
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function rechercheFrs(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function selectionFrs(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function attacher(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function dettacher(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function chiffreAffaire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function actionnaire(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function indicateurMORE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function indicateurCompass(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function indicateurCRIF(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function indicateurTRUCOST(): bool
    {
        return true;
    }
}
